Skip to main content
GET
/
trust-centers
/
{slugId}
/
historical-access-requests
List historical Trust Center access requests
curl --request GET \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/historical-access-requests \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "pageInfo": {
      "hasNextPage": true,
      "hasPreviousPage": false,
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "endCursor": "YXJyYXljb25uZWN0aW9uOjE="
    },
    "data": [
      {
        "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
        "email": "exampleviewer@company.com",
        "name": "Example Viewer",
        "companyName": "Viewer Company, Inc.",
        "reason": "I'm an existing customer",
        "requestedResources": null,
        "accessLevel": "FULL_ACCESS",
        "creationDate": "2020-01-01T00:00:00.000Z",
        "updatedDate": "2020-01-01T00:00:00.000Z",
        "outcome": "DENIED"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required